# Known Issues

*   For compatibility with original `doctest` parser
    you cannot write

    ~~~~
    {-# LANGUAGE MyPreferredExtension #-}
    ~~~~

    Instead you must write

    ~~~~
    :set -XMyPreferredExtension
    ~~~~

* In Literal Haskell files
  only `\\begin{code} ... \\end{code}` blocks are scanned,
  but not bird style code blocks.

* `prop>` does not support multi-line code,
  because both original `doctest` and `haddock` do not support it.

* IO tests are not supported as `doctest` examples, so far.
  We need a syntactic distinction for IO tests,
  because `doctest-extract` does not employ a type-checker.
  We could mark IO tests
  with a specific `id` function, as in `ioTest $ runMyTest`
  or a type annotation, as in `runMyTest :: IO ()`.
